/**
 * @version   1.5.4 November 9, 2010
 * @author    RocketTheme http://www.rockettheme.com
 * @copyright Copyright (C) 2007 - 2010 RocketTheme, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */

Gantry.MultiBackgrounds = {
	init: function() {
		var mbgbuttons = $$('.bg-button');
		var mbgids = mbgbuttons.getParent().get('id');
		Gantry.MultiBackgrounds.Overlay = new Gantry.Layer();
		

		Gantry.MultiBackgrounds.bounds = {
			'show': Gantry.MultiBackgrounds.build.bind(Gantry.MultiBackgrounds)
		};

		mbgbuttons.each(function(button) {
			button.addEvent('click', function(e) {
				new Event(e).stop();
				
				Gantry.MultiBackgrounds.param = document.id("params" + this.getParent().get('id'));
				Gantry.MultiBackgrounds.Overlay.addEvent('show', Gantry.MultiBackgrounds.bounds.show);
				Gantry.MultiBackgrounds.Overlay.show();
			});
		});
	},
	
	build: function(bt) {
		var wrapper = new Element('div', {'id': 'backgrounds-list', 'class': 'gantry-layer-wrapper'}).inject(document.body);
		var title = new Element('h2').set('text', GantryLang['mbg_manager']).inject(wrapper);
		var innerWrapper = new Element('div', {'class': 'backgrounds-namer-inner'}).inject(wrapper);
		
		Gantry.MultiBackgrounds.wrapper = wrapper;
		Gantry.MultiBackgrounds.innerWrapper = innerWrapper;

		var desc = new Element('p').set('text', GantryLang['mbg_desc']).inject(innerWrapper);
		
		var hash = new Hash(GantryBackgrounds);
		hash.each(function(value, key) {
			var preview = new Element('div', {'class': 'backgrounds-preview empty'}).inject(innerWrapper);
			var ulempty = new Element('ul', {'id': 'ul-preview', 'class': 'bglist empty'}).inject(preview);
			var liempty = new Element('li', {'class': 'empty'}).set('text', 'DROP HERE TO PREVIEW. DOUBLE CLICK TO RESET').inject(ulempty);
			
			
			var totlist = new Element('div', {'class': 'backgrounds-list backgrounds-list-left'}).inject(innerWrapper);
			var setlist = new Element('div', {'id': 'mbg-drop', 'class': 'backgrounds-list backgrounds-list-right'}).inject(innerWrapper);
			var total = new Element('h3', {'class': 'backgrounds-list-title'}).set('html', GantryLang['mbg_avail'] + ' (<span>'+value.getLength()+'</span>)').inject(totlist);
			var config = new Element('h3', {'class': 'backgrounds-list-title'}).set('html', GantryLang['mbg_set'] + ' (<span class="mbg-set">0</span>)').inject(setlist);
			
			
			var ulset = new Element('ul', {id: 'ul-set', 'class': 'bglist'}).inject(setlist);
			liempty = new Element('li', {'class': 'empty'}).set('text', 'DROP HERE');			
			var stored = Gantry.MultiBackgrounds.param.get('value').split(",");
			
			if (stored.length) {
				stored.each(function(name) {
					var item = value.get(name);
					if (item) {
						var li = new Element('li').set('html', '<span class="title">'+item.name+'</span>').inject(ulset).set('rel', item.path).set('name', item['value'] + '.' + item['ext']);
						var del = new Element('span', {'class': 'mbg-delete'}).inject(li, 'top');
						$$('.mbg-set').set('text', ulset.getChildren().length);
						
						del.addEvent('click', function() {
							Gantry.MultiBackgrounds.sortables.elements.erase(li);
							var listCount = ulset.getChildren().length;
							this.getParent().set('tween', {onComplete: function() {
								del.getParent().dispose();
								$$('.mbg-set').set('text', listCount - 1);
								if (listCount == 1) {
									liempty.clone().inject(ulset.addClass('empty'));
								}
							}});
							this.getParent().tween('opacity', 0);
						});
					} else {
						stored.erase(name);
					}
				});
			}
			
			if (!stored.length) {
				liempty.clone().inject(ulset);
				ulset.addClass('empty');
			}
			
			var ultot = new Element('ul', {id: 'ul-total', 'class': 'bglist'}).inject(totlist);
			value.each(function(bgcontent,bgkey) {
				var li = new Element('li').set('html', '<span class="title">'+bgcontent.name+'</span>').inject(ultot).set('rel', bgcontent.path).set('name', bgcontent['value'] + '.' + bgcontent['ext']);

				new Drag.Move(li, {
					'droppables': '#mbg-drop, .backgrounds-preview', 
					'onBeforeStart': function(el) {
						this.tmpEl = el;
						this.element = el.clone().inject(el).addClass('drag').setStyles({'position': 'absolute', 'left': 0, 'top': 0, 'opacity': 0.7});
					},
					'onComplete': function(el) {
						this.element.dispose();
						this.element = this.tmpEl;
					},
					'onCancel': function(el) {
						this.element.dispose();
						this.element = this.tmpEl;
					}
				}).addEvents({
					'drop': function(drag, drop){
						if (drop && drop.hasClass('backgrounds-preview')) { 
							this.fireEvent('leave', [drag, drop]); 
							var img = drag.get('rel');
							document.id('backgrounds-list').setStyle('background', '#fff url('+img+') center center no-repeat');
							return; 
						}
						var ul = (drop) ? drop.getElement('ul') : false; 
						if (ul) {
							if (ul.hasClass('empty')) {
								ul.removeClass('empty').empty().removeProperty('style');
							}	
							var clone = drag.clone().removeClass('drag');
							clone.inject(ul).removeProperty('style');
							var del = new Element('span', {'class': 'mbg-delete'}).inject(clone, 'top');
							$$('.mbg-set').set('text', ul.getChildren().length);
							
							del.addEvent('click', function() {
								Gantry.MultiBackgrounds.sortables.elements.erase(clone);
								var listCount = ul.getChildren().length;
								this.getParent().set('tween', {onComplete: function() {
									del.getParent().dispose();
									$$('.mbg-set').set('text', listCount - 1);
									if (listCount == 1) {
										liempty.clone().inject(ulset.addClass('empty'));
									}
								}});
								this.getParent().tween('opacity', 0);
							});
							
							Gantry.MultiBackgrounds.sortables.elements.push(clone);
							var start = clone.retrieve('sortables:start', Gantry.MultiBackgrounds.sortables.start.bindWithEvent(Gantry.MultiBackgrounds.sortables, clone));
							(Gantry.MultiBackgrounds.sortables.options.handle ? clone.getElement(Gantry.MultiBackgrounds.sortables.options.handle) || element : clone).addEvent('mousedown', start);
						}
					},
					'enter': function(drag, drop){
						var ul = (drop) ? drop.getElement('ul') : false;
						if (drop && drop.hasClass('backgrounds-preview')) {
							ul = drop;
							ul.setStyles({'border-color': '#dd4c1b', 'color': '#dd4c1b'}).getElement('ul').setStyle('color', '#dd4c1b');
						}
						else if (ul.hasClass('empty')) ul.setStyles({'border-color': '#dd4c1b', 'color': '#dd4c1b'});
					},
					'leave': function(drag, drop){
						var ul = (drop) ? drop.getElement('ul') : false; 
						if (drop && drop.hasClass('backgrounds-preview')) {
							ul = drop;
							ul.setStyles({'border-color': '#ddd', 'color': '#ddd'}).getElement('ul').setStyle('color', '#ddd');
						}
						else if (ul.hasClass('empty')) ul.setStyles({'border-color': '#fff', 'color': '#fff'});					
					}
				});
			});
			
			Gantry.MultiBackgrounds.sortables = new Sortables('ul-set', {
				handle: 'span.title',
				onStart: function(element, clone) {
					clone.setStyle('opacity', 0.8);
				}
			});
		});
		
		document.id('backgrounds-list').addEvent('dblclick', function() {
			this.setStyle('background-image', 'none');
		});

		
		var bottom = new Element('div', {'class': 'backgrounds-bottom'}).inject(wrapper);
		Gantry.MultiBackgrounds.saveBgs = new Element('button').set('text', GantryLang['save']).inject(bottom);
		Gantry.MultiBackgrounds.cancel = new Element('button').set('text', GantryLang['cancel']).inject(bottom);

		Gantry.MultiBackgrounds.cancel.addEvent('click', function(e) {
			Gantry.MultiBackgrounds.Overlay.removeEvent('show', Gantry.MultiBackgrounds.bounds.show);
			wrapper.empty().remove();
			Gantry.MultiBackgrounds.Overlay.hide();
		});
		
		Gantry.MultiBackgrounds.saveBgs.addEvent('click', Gantry.MultiBackgrounds.save);
		
		Gantry.MultiBackgrounds.center(wrapper);
	},
		
	save: function() {
		var param = Gantry.MultiBackgrounds.param;
		var selBgs = param.getParent().getElement('.mbg-current-value');
		var serialize = Gantry.MultiBackgrounds.sortables.serialize(function(element, index) { return element.get('name'); });
		var count = (serialize.length == 1 && serialize[0] == null) ? 0 : serialize.length;
		selBgs.set('text', count);
		param.fireEvent('set', serialize.join(','));
		
		if (Gantry.MenuItemHead) {
			var cache = Gantry.MenuItemHead.Cache[Gantry.Selection];
			if (!cache) cache = new Hash({});
			cache.set(param.id.replace('params', ''), param.value.toString()); 
		}
				
		Gantry.MultiBackgrounds.cancel.fireEvent('click');
	},
	
	center: function(el) {
		var winSize = window.getSize();
		var elSize = el.getSize();
				
		var positions = {
			'left': (winSize.size.x / 2) + winSize.scroll.x - elSize.size.x / 2,
			'top': (winSize.size.y / 2) + winSize.scroll.y - elSize.size.y / 2
		};
		
		el.setStyles(positions);
	}
};

window.addEvent('domready', Gantry.MultiBackgrounds.init);
