<?php
/**
 * @package		Gantry Template Framework - RocketTheme
 * @version		1.5.4 November 9, 2010
 * @author		RocketTheme http://www.rockettheme.com
 * @copyright 	Copyright (C) 2007 - 2010 RocketTheme, LLC
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Gantry uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
 *
 */
defined('JPATH_BASE') or die();

gantry_import('core.gantryfeature');

class GantryFeatureStyleDeclaration extends GantryFeature {
    var $_feature_name = 'styledeclaration';

    function isEnabled() {
        global $gantry;
        $menu_enabled = $this->get('enabled');

        if (1 == (int)$menu_enabled) return true;
        return false;
    }

	function init() {
        global $gantry;

		if (isset($gantry->_working_params['rotator-backgrounds']['attributees']['path'])) {
			$bgpath = $gantry->_working_params['rotator-backgrounds']['attributes']['path'];
	        $bgpath = str_replace("__TEMPLATE__", $gantry->templateUrl, $bgpath);
		} else {
			$bgpath = $gantry->templateUrl . "/images/showcase-bgs/";
		}
		$bgs = explode(",", $gantry->get('rotator-backgrounds'));

		// tooltips for articledetails layout3
		if ($gantry->get('articledetails') == 'layout3') $gantry->addScript('gantry-articledetails.js');

		//inline css for dynamic stuff
		$css = '.module-content ul.menu li.active > a, .module-content ul.menu li.active > .separator, .module-content ul.menu li.active > .item, .module-content ul.menu li > a:hover, .module-content ul.menu li .separator:hover, .module-content ul.menu li > .item:hover {color:'.$gantry->get('body-link').';}'."\n";
		$css .= '.box1 .module-content ul.menu li.active > a, .box1 .module-content ul.menu li.active > .separator, .box1 .module-content ul.menu li.active > .item, .box1 .module-content ul.menu li > a:hover, .box1 .module-content ul.menu li .separator:hover, .box1 .module-content ul.menu li > .item:hover {color:'.$gantry->get('module1-link').';}'."\n";
		$css .= '.box2 .module-content ul.menu li.active > a, .box2 .module-content ul.menu li.active > .separator, .box2 .module-content ul.menu li.active > .item, .box2 .module-content ul.menu li > a:hover, .box2 .module-content ul.menu li .separator:hover, .box2 .module-content ul.menu li > .item:hover {color:'.$gantry->get('module2-link').';}'."\n";
		$css .= '.box3 .module-content ul.menu li.active > a, .box3 .module-content ul.menu li.active > .separator, .box3 .module-content ul.menu li.active > .item, .box3 .module-content ul.menu li > a:hover, .box3 .module-content ul.menu li .separator:hover, .box3 .module-content ul.menu li > .item:hover {color:'.$gantry->get('module3-link').';}'."\n";

		$css .= 'body {background:'.$gantry->get('page-background').';}'."\n";

		$css .= '#rt-header, #rt-top, #rt-navigation {background:'.$gantry->get('header-background').';}'."\n";
		$css .= '.menutop ul {background-color:'.$gantry->get('header-background').';}'."\n";
		$css .= '#rt-header, #rt-header .title, #rt-top, #rt-top .title, #rt-navigation {color:'.$gantry->get('header-text').';}'."\n";
		$css .= '#rt-header .module-content a, #rt-header .title span, #rt-top a, #rt-top .title span, #rt-navigation .module-content a {color:'.$gantry->get('header-link').';}'."\n";

		$css .= '.menutop li.root > .item, .menutop li > .item {color:'.$gantry->get('header-text').';}'."\n";
		$css .= '.menutop li.root.active > .item, .menutop li.root.active > .item:hover, .menutop li.root.active.f-mainparent-itemfocus > .item, .menutop li.root:hover > .item, .menutop li.root.f-mainparent-itemfocus > .item, .menutop li:hover > .image, .menutop li.f-menuparent-itemfocus .image, .menutop li.active > .image, .menutop li.active > .image, .menutop li:hover > .bullet, .menutop li.f-menuparent-itemfocus .bullet, .menutop li.active > .bullet, .menutop li.active > .bullet, .menu-type-splitmenu .menutop li.active .item, .menu-type-splitmenu .menutop li:hover .item, body #idrops li.root-sub a, body #idrops li.root-sub span.separator, body #idrops li.root-sub.active a, body #idrops li.root-sub.active span.separator {color:'.$gantry->get('header-link').';}'."\n";
		$css .= '#rt-header .menutop li a:hover{color:'.$gantry->get('header-link').';}'."\n";

		$css .= '#rt-body-bg2, #more-articles span, #form-login .inputbox, body #roksearch_results .roksearch_header, body #roksearch_results .roksearch_row_btm, body #roksearch_results .roksearch_even:hover, body #roksearch_results .roksearch_odd:hover {background:'.$gantry->get('body-background').';}'."\n";
		$css .= '#roksearch_search_str {background-color:'.$gantry->get('body-background').' !important;}'."\n";
		$css .= '.title1 .title, .title1 .title span, .title1 .title a, .title1 .title a span, .title2 .title, .title2 .title span, .title2 .title a, .title2 .title a span, .number-image {color:'.$gantry->get('body-background').';}'."\n";
		$css .= 'body, #rt-bottom, legend, a:hover, .button:hover, .module-content ul.menu a, .module-content ul.menu .separator, .module-content ul.menu .item, .roktabs-wrapper .roktabs-links li span, #rokajaxsearch .inputbox, #form-login .inputbox {color:'.$gantry->get('body-text').';}'."\n";
		$css .= 'a, .button, .module-content ul.menu a:hover, .module-content ul.menu .separator:hover, .module-content ul.menu .item:hover, .roktabs-wrapper .roktabs-links li.active span, .heading1, .box1 .title {color:'.$gantry->get('body-link').';}'."\n";

		$css .= '#rt-footer-surround {background:'.$gantry->get('footer-background').';}'."\n";
		$css .= '#rt-footer, #rt-footer .module-content a:hover, #rt-copyright, #rt-copyright a:hover, #rt-footer .title, #rt-copyright .title {color:'.$gantry->get('footer-text').';}'."\n";
		$css .= '#rt-footer .module-content a, #rt-copyright a, #rt-footer .title span, #rt-copyright .title span {color:'.$gantry->get('footer-link').';}'."\n";

		$css .= '.box1 .rt-block, .box1 .rt-article-bg, .roktabs-wrapper .active-arrows, .title3 .module-title-surround, #more-articles, .details-layout3 .rt-joomla .rt-articleinfo, .rt-joomla .inputbox, .rt-joomla input#email, .rt-joomla input#name, .rt-joomla input#username, .rt-joomla input#password, .rt-joomla input#password2, .rt-joomla input#passwd, body #roksearch_results {background:'.$gantry->get('module1-background').';}'."\n";
		$css .= '.box1 .number-image {color:'.$gantry->get('module1-background').';}'."\n";
		$css .= '.box1 .rt-block, .roktabs-wrapper .active-arrows, .title3 .module-title-surround, .details-layout1 .rt-articleinfo, .roktabs-wrapper .roktabs-links ul li, #more-articles, #more-articles span, .details-layout3 .rt-joomla .rt-articleinfo, #rokajaxsearch .inputbox, .box1 .rt-article-bg, body #roksearch_results, body #roksearch_results .roksearch_header, body #roksearch_results .roksearch_even, body #roksearch_results .roksearch_odd {border-color:'.$gantry->get('module1-border').';}'."\n";
		$css .= '#more-articles.disabled, #more-articles.disabled:hover {color: '.$gantry->get('module2-background').'}'."\n";
		$css .= '.box1 .module-content, .box1 .module-content .button:hover, .box1 .title, .title3 .title, .title3 .title a, .box1 .module-content a:hover, .rt-joomla .inputbox, .rt-joomla  input#email, #rt-main input#name, .rt-joomla input#username, .rt-joomla input#password, .rt-joomla input#password2, .rt-joomla input#passwd {color:'.$gantry->get('module1-text').';}'."\n";
		$css .= '.box1 .module-content a, .box1 .module-content .button, .box1 .title span, .title3 .title span, .title3 .title a span {color:'.$gantry->get('module1-link').';}'."\n";

		$css .= '.box2 .rt-block, .box2 .rt-article-bg, .title1 .module-title-surround, .title4 .module-title-surround {background:'.$gantry->get('module2-background').';}'."\n";
		$css .= '.box2 .number-image {color:'.$gantry->get('module2-background').';}'."\n";
		$css .= '.box2 .rt-block, .title4 .module-title-surround, .box2 .rt-article-bg {border-color:'.$gantry->get('module2-border').';}'."\n";
		$css .= '.box2 .module-content, .box2 .title, .title4 .title, .title4 .title a, .box2 .module-content a:hover, .box2 .module-content .button:hover, .box2 .module-content ul.menu li a, .box2 .module-content ul.menu li .separator, .box2 .module-content ul.menu li .item {color:'.$gantry->get('module2-text').';}'."\n";
		$css .= '.box2 .module-content a, .box2 .module-content .button, .box2 .title span, .title4 .title span, .title4 .title a span {color:'.$gantry->get('module2-link').';}'."\n";

		$css .= '.box3 .rt-block, .box3 .rt-article-bg, .title2 .module-title-surround, .title5 .module-title-surround {background:'.$gantry->get('module3-background').';}'."\n";
		$css .= '.box3 .number-image {color:'.$gantry->get('module3-background').';}'."\n";
		$css .= '.box3 .rt-block, .title5 .module-title-surround, .box3 .rt-article-bg {border-color:'.$gantry->get('module3-border').';}'."\n";
		$css .= '.box3 .module-content, .box3 .module-content .button:hover, .box3 .title, .title5 .title, .title5 .title a, .box3 .module-content a:hover, .box3 .module-content ul.menu li a, .box3 .module-content ul.menu li .separator, .box3 .module-content ul.menu li .item {color:'.$gantry->get('module3-text').';}'."\n";
		$css .= '.box3 .module-content a, .box3 .module-content .button, .box3 .title span, .title5 .title span, .title5 .title a span {color:'.$gantry->get('module3-link').';}'."\n";

		$css .= '.rt-joomla th, .rt-joomla tr.even td  {background:'.$gantry->get('module1-background').';}'."\n";
		$css .= '.rt-joomla th {border-bottom: 2px solid '.$gantry->get('module1-border').';}'."\n";
		$css .= '.rt-joomla tr.even td  {border-bottom: 1px solid '.$gantry->get('module1-border').';}'."\n";

		if ($gantry->get('iphone-enabled')) {
			$css .= 'body.rt-normal .rt-articleinfo, body.rt-flipped .rt-articleinfo, body.rt-left .rt-articleinfo, body.rt-right .rt-articleinfo {color:'.$gantry->get('body-link').';}'."\n";
			$css .= 'body.rt-normal .rt-articleinfo, body.rt-flipped .rt-articleinfo, body.rt-left .rt-articleinfo, body.rt-right .rt-articleinfo {background:'.$gantry->get('module1-background').';}'."\n";
		}

		if (count($bgs)) {
			$css .= '#rt-rotator-bg {background-image: url('.$bgpath.$bgs[0].');}'."\n";
		}
		if ($gantry->get('thirdparty')){
			/* 3rd Party CSS */

			/* JomSocial */
			$css .='body #community-wrap .label, body #cWindow .label {color:'.$gantry->get('body-text').';}'."\n";
			$css .= '#community-wrap .joms-apps .app-item.app-core, body #community-wrap .advance-not-found, body #community-wrap .event-not-found, body #community-wrap .group-not-found, body #community-wrap .people-not-found, body #community-wrap .video-not-found, body #community-wrap .community-empty-list, #cWindow .community-empty-list, #community-wrap .cSubmenu, body #community-admin-wrapper, #community-wrap div.profile-toolbox-bl,div.joms-newsfeed-item .newsfeed-content-hidden, body #community-wrap div.greybox div div {background:'.$gantry->get('module1-background').';}'."\n";
			$css .= 'body #rt-main #community-wrap #cToolbarNav.cToolbar ul#cToolbarNavList div, body #rt-main #community-wrap #cToolbarNav.cToolbar .cToolbar, body #rt-main #rt-mainbody #community-wrap #cToolbarNav.cToolbar {background-color:'.$gantry->get('header-background').' !important;}'."\n";
			$css .= 'body #rt-main #community-wrap #cToolbarNav.cToolbar ul#cToolbarNavList li a,body #rt-main #community-wrap .cSubmenu ul.submenu li a  {color:'.$gantry->get('header-link').' !important;}'."\n";

			$css .= 'body #community-wrap .inputbox, body #community-wrap div.profile-info .contentheading, body #rt-main #community-wrap .app-box-title,body #community-wrap div.greybox div div div h2, body #community-wrap div.greybox div div div h1, body #rt-main #community-wrap .cModule h3,body #community-wrap div.ctitle h2  {color:'.$gantry->get('module1-text').';}'."\n";
			$css .= 'body #rt-main #community-wrap .inputbox, #community-wrap .app-item, #community-wrap .joms-apps .app-item.app-core, body #community-wrap .advance-not-found, body #community-wrap .event-not-found, body #community-wrap .group-not-found, body #community-wrap .people-not-found, body #community-wrap .video-not-found, body #community-wrap .community-empty-list, #cWindow .community-empty-list, #community-wrap ul.submenu li a, #community-wrap ul.submenu li span, body #community-wrap #cFilterBar, body #community-admin-wrapper, #community-wrap .cModule h4, body #community-wrap .profile-avatar img, body #community-wrap div.profile-box, body #community-wrap #profile-new-status textarea#statustext, div.joms-newsfeed-item, body #community-wrap .video-item .video-item, #community-wrap .app-box-footer, #community-wrap a img.avatar, body #community-wrap .inputbox, body #community-wrap div.greybox, body #community-wrap div#profile-status,body #rt-main #community-wrap .newsfeed-item, body #rt-main #community-wrap div.ctitle, body #rt-main #community-wrap .app-box-header,body #rt-main #community-wrap .cModule h3, body #rt-main #community-wrap .cModule.searchbox .input_wrap, body #rt-main #community-wrap .group-menus {border-color:'.$gantry->get('module1-border').';}'."\n";
			$css .= 'body #rt-main #community-wrap .group-menu a, body #rt-main #community-wrap .group-menu.important a {color:'.$gantry->get('module1-link').';}'."\n";

			/* K2 */
			$css .= 'div.itemCommentsForm form input#submitCommentButton, div.itemAuthorBlock, div.itemAuthorBlock, div.itemAuthorBlock, body.cssstyle-style4 div.itemAuthorBlock, div.itemAuthorBlock, div.itemAuthorBlock, div.userItemCategory, div.itemCategory, div.subCategory, div.itemListCategory {background:'.$gantry->get('module1-background').';}'."\n";
			$css .= 'div.itemCommentsForm form input#submitCommentButton, .itemAuthorLatest h3, div.itemHeader h2.itemTitle, span.catItemImage img, div.itemHeader h2.itemTitle {color:'.$gantry->get('module1-text').';}'."\n";
			$css .= 'div.itemCommentsForm form input#submitCommentButton, div.itemCommentsForm p.itemCommentsFormNotes, div.itemAuthorBlock img.itemAuthorAvatar, div.itemComments, span.itemImage img, div.userBlock img, div.catItemHeader h3.catItemTitle, div.userBlock p.userAdditionalInfo, div.catItemTagsBlock, div.catItemCategory, div.itemHitsTwitter, .itemAuthorLatest h3, div.itemHeader h2.itemTitle, span.catItemImage img, div.itemHeader h2.itemTitle, div.itemSocialLinksBlock, div.subCategory, div.itemListCategory {border-color:'.$gantry->get('module1-border').';}'."\n";

			/* Virtuemart*/
			$css .= '#vmMainPage h1, #vmMainPage h2, #vmMainPage h3, #vmMainPage h4 {border-color:'.$gantry->get('module1-border').';}'."\n";
			$css .= '#vmMainPage h1, #vmMainPage h3 {color:'.$gantry->get('module1-text').';}'."\n";

			/* Tienda */
			$css .= 'div#tienda_product_header span.product_name, .tienda_header {border-color:'.$gantry->get('module1-border').';}'."\n";
			$css .= 'div#tienda_product_header span.product_name, .tienda_header span, div#tienda_category_header span {color:'.$gantry->get('module1-text').';}'."\n";

			/* JComment */
			$css .= '#jc h4, #jc #comments-footer {border-color:'.$gantry->get('module1-border').';}'."\n";
			$css .= '#jc h4 {color:'.$gantry->get('module1-text').';}'."\n";
			$css .= '#jc .even .rbox {background:'.$gantry->get('module1-background').';}'."\n";
			$css .= '#jc .odd .rbox {background:'.$gantry->get('module2-background').';}'."\n";
			$css .= '#jc #comments .even .quote, #jc #comments .even .comment-box .comment-body,#jc #comments .even .comment-box .comment-author, #jc #comments .even .comment-box .comment-anchor, #jc #comments .even .comment-box .comment-date {color:'.$gantry->get('module1-text').' !important;}'."\n";
			$css .= '#jc #comments .odd .quote,#jc #comments .odd .comment-box .comment-body, #jc #comments .odd .comment-box .comment-author, #jc #comments .odd .comment-box .comment-anchor, #jc #comments .odd .comment-box .comment-date{color:'.$gantry->get('module2-text').' !important;}'."\n";
			$css .= '#jc #comments .even a {color:'.$gantry->get('module1-link').';}'."\n";
			$css .= '#jc #comments .odd a {color:'.$gantry->get('module2-link').';}'."\n";
		}

		if ($gantry->get('static-enabled')) {
            // do file stuff
            jimport('joomla.filesystem.file');
            $filename = $gantry->templatePath.DS.'css'.DS.'static-styles.css';

            if (file_exists($filename)) {
                if ($gantry->get('static-check')) {
                    //check to see if it's outdated

                    $md5_static = md5_file($filename);
                    $md5_inline = md5($css);

                    if ($md5_static != $md5_inline) {
                        JFile::write($filename, $css);
                    }
                }
            } else {
                // file missing, save it
                JFile::write($filename, $css);
            }
            // add reference to static file
            $gantry->addStyle('static-styles.css',99);

        } else {
            // add inline style
            $gantry->addInlineStyle($css);
        }


		$this->_disableRokBoxForiPhone();

		//style stuff
        //$gantry->addStyle($gantry->get('cssstyle').".css");
		if ($gantry->get('thirdparty')) $gantry->addStyle('extended.css');

	}

	function _disableRokBoxForiPhone() {
		global $gantry;

		if ($gantry->browser->platform == 'iphone') {
			$gantry->addInlineScript("window.addEvent('domready', function() {\$\$('a[rel^=rokbox]').removeEvents('click');});");
		}
	}

}