<?php
/**
 * @package   Panacea Template - RocketTheme
 * @version   1.5.4 November 9, 2010
 * @author    RocketTheme http://www.rockettheme.com
 * @copyright Copyright (C) 2007 - 2010 RocketTheme, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Rockettheme Panacea Template uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
 *
 */
defined('JPATH_BASE') or die();

$gantry_config_mapping = array(
    'belatedPNG' => 'belatedPNG',
	'ie6Warning' => 'ie6Warning'
);

$gantry_presets = array (
    'presets' => array (
        'preset1' => array (
            'name' => 'Preset 1',
			'page-background' => '#F3F1EE',
            'header-background' => '#000000',
            'header-text' => '#DDDDDD',
			'header-overlay' => 'dark',
			'header-link' => '#99D0FF',
			'body-background' => '#FFFFFF',
			'body-text' => '#555555',
			'body-overlay' => 'light',
			'body-link' => '#3B74B7',
			'footer-background' => '#000000',
			'footer-text' => '#CCCCCC',
			'footer-overlay' => 'dark',
			'footer-link' => '#99D0FF',
			'module1-background' => '#F1F1F1',
			'module1-border' => '#E3E3E3',
			'module1-text' => '#555555',
			'module1-link' => '#3B74B7',
			'module2-background' => '#999999',
			'module2-border' => '#7C7C7C',
			'module2-text' => '#FFFFFF',
			'module2-link' => '#DDDDDD',
			'module3-background' => '#3B74B7',
			'module3-border' => '#1A4D86',
			'module3-text' => '#FFFFFF',
			'module3-link' => '#DDDDDD',
			'articlestyle' => 'title1',
			'articledetails' => 'layout1',
            'font-family' => 'default',
			'rotator-backgrounds' => 'oregon-coast.jpg,japanase-gate-bw.jpg,japanese-garden-bw.jpg'
        ),
        'preset2' => array (
            'name' => 'Preset 2',
			'page-background' => '#FFFFFF',
            'header-background' => '#3E230F',
            'header-text' => '#F3ECE0',
			'header-overlay' => 'dark',
			'header-link' => '#F0A41C',
			'body-background' => '#FFFAF0',
			'body-text' => '#412B1D',
			'body-overlay' => 'light',
			'body-link' => '#A13715',
			'footer-background' => '#3E230F',
			'footer-text' => '#F3ECE0',
			'footer-overlay' => 'dark',
			'footer-link' => '#F0A41C',
			'module1-background' => '#F3ECE0',
			'module1-border' => '#E9DDD4',
			'module1-text' => '#412B1D',
			'module1-link' => '#A13715',
			'module2-background' => '#BAAFA1',
			'module2-border' => '#7C7C7C',
			'module2-text' => '#FFFFFF',
			'module2-link' => '#412B1D',
			'module3-background' => '#8C624B',
			'module3-border' => '#593A2A',
			'module3-text' => '#FFFFFF',
			'module3-link' => '#F3ECE0',
			'articlestyle' => 'title3',
			'articledetails' => 'layout2',
            'font-family' => 'default',
			'rotator-backgrounds' => 'art-ceiling.jpg,japanase-gate-bw.jpg,japanese-garden-bw.jpg'
        ),
        'preset3' => array (
            'name' => 'Preset 3',
			'page-background' => '#EEEEEE',
            'header-background' => '#FFFFFF',
            'header-text' => '#666666',
			'header-overlay' => 'light',
			'header-link' => '#7AB732',
			'body-background' => '#FFFFFF',
			'body-text' => '#555555',
			'body-overlay' => 'light',
			'body-link' => '#7AB732',
			'footer-background' => '#CCCCCC',
			'footer-text' => '#666666',
			'footer-overlay' => 'light',
			'footer-link' => '#325602',
			'module1-background' => '#F1F1F1',
			'module1-border' => '#E3E3E3',
			'module1-text' => '#555555',
			'module1-link' => '#7AB732',
			'module2-background' => '#95BA5F',
			'module2-border' => '#6F9140',
			'module2-text' => '#FFFFFF',
			'module2-link' => '#D2EEA5',
			'module3-background' => '#426A07',
			'module3-border' => '#1A2D00',
			'module3-text' => '#FFFFFF',
			'module3-link' => '#BED39E',
			'articlestyle' => 'title3',
			'articledetails' => 'layout3',
            'font-family' => 'default',
			'rotator-backgrounds' => 'grass-and-dew.jpg,japanase-gate-bw.jpg,japanese-garden-bw.jpg'
        ),
        'preset4' => array (
            'name' => 'Preset 4',
			'page-background' => '#E4EAED',
			'header-background' => '#FFFFFF',
			'header-text' => '#666666',
			'header-overlay' => 'light',
			'header-link' => '#A80323',
			'body-background' => '#FFFFFF',
			'body-text' => '#555555',
			'body-overlay' => 'light',
			'body-link' => '#006CB1',
			'footer-background' => '#042433',
			'footer-text' => '#C9E3EF',
			'footer-overlay' => 'dark',
			'footer-link' => '#DCE4E8',
			'module1-background' => '#f9f9f9',
			'module1-border' => '#f0f0f0',
			'module1-text' => '#555555',
			'module1-link' => '#A80323',
			'module2-background' => '#A8B3B9',
			'module2-border' => '#849096',
			'module2-text' => '#FFFFFF',
			'module2-link' => '#D1E7F2',
			'module3-background' => '#A6384A',
			'module3-border' => '#892632',
			'module3-text' => '#FFFFFF',
			'module3-link' => '#E9ABB3',
			'articlestyle' => 'title1',
			'articledetails' => 'layout3',
			'font-family' => 'default',
			'rotator-backgrounds' => 'abstract-painting.jpg,japanase-gate-bw.jpg,japanese-garden-bw.jpg'
        ),
        'preset5' => array (
            'name' => 'Preset 5',
			'page-background' => '#333333',
            'header-background' => '#000000',
            'header-text' => '#DDDDDD',
			'header-overlay' => 'dark',
			'header-link' => '#E83C10',
			'body-background' => '#222222',
			'body-text' => '#999999',
			'body-overlay' => 'dark',
			'body-link' => '#9DD3E3',
			'footer-background' => '#000000',
			'footer-text' => '#CCCCCC',
			'footer-overlay' => 'dark',
			'footer-link' => '#9DD3E3',
			'module1-background' => '#2a2a2a',
			'module1-border' => '#2e2e2e',
			'module1-text' => '#999999',
			'module1-link' => '#E83C10',
			'module2-background' => '#3c3c3c',
			'module2-border' => '#4c4c4c',
			'module2-text' => '#999999',
			'module2-link' => '#9DD3E3',
			'module3-background' => '#A62D14',
			'module3-border' => '#B12300',
			'module3-text' => '#FFFFFF',
			'module3-link' => '#DDDDDD',
			'articlestyle' => 'title1',
			'articledetails' => 'layout1',
            'font-family' => 'default',
			'rotator-backgrounds' => 'racing-dbr9.jpg,japanase-gate-bw.jpg,japanese-garden-bw.jpg'
        ),
        'preset6' => array (
			'name' => 'Preset 6',
            'page-background' => '#999999',
            'header-background' => '#FFFFFF',
            'header-text' => '#666666',
            'header-overlay' => 'light',
            'header-link' => '#48A1DF',
            'body-background' => '#222222',
            'body-text' => '#999999',
            'body-overlay' => 'dark',
            'body-link' => '#A8DAF9',
            'footer-background' => '#FFFFFF',
            'footer-text' => '#666666',
            'footer-overlay' => 'light',
            'footer-link' => '#48A1DF',
            'module1-background' => '#2a2a2a',
            'module1-border' => '#2e2e2e',
            'module1-text' => '#999999',
            'module1-link' => '#A8DAF9',
            'module2-background' => '#3c3c3c',
            'module2-border' => '#4c4c4c',
            'module2-text' => '#999999',
            'module2-link' => '#A8DAF9',
            'module3-background' => '#000000',
            'module3-border' => '#111111',
            'module3-text' => '#999999',
            'module3-link' => '#DDDDDD',
            'articlestyle' => 'title3',
            'articledetails' => 'layout3',
            'font-family' => 'default',
            'rotator-backgrounds' => 'santa-fe-rocks-bw.jpg,japanase-gate-bw.jpg,japanese-garden-bw.jpg'
        ),
		'preset7' => array (
			'name' => 'Preset 7',
            'page-background' => '#C4C5B1',
            'header-background' => '#3E3E33',
            'header-text' => '#DDDDDD',
			'header-overlay' => 'dark',
			'header-link' => '#FE5A18',
			'body-background' => '#FFFFFF',
			'body-text' => '#555555',
			'body-overlay' => 'light',
			'body-link' => '#E86530',
			'footer-background' => '#3E3E33',
			'footer-text' => '#DDDDDD',
			'footer-overlay' => 'dark',
			'footer-link' => '#FE5A18',
			'module1-background' => '#F8F9F1',
			'module1-border' => '#EAEBE1',
			'module1-text' => '#555555',
			'module1-link' => '#E86530',
			'module2-background' => '#B7B8A1',
			'module2-border' => '#8F8F7A',
			'module2-text' => '#FFFFFF',
			'module2-link' => '#F0F0D3',
			'module3-background' => '#5D5E4F',
			'module3-border' => '#3E3E33',
			'module3-text' => '#FFFFFF',
			'module3-link' => '#DDDDDD',
			'articlestyle' => 'title3',
			'articledetails' => 'layout2',
            'font-family' => 'default',
			'rotator-backgrounds' => 'colorado-trees.jpg,japanase-gate-bw.jpg,japanese-garden-bw.jpg'
        ),
		'preset8' => array (
			'name' => 'Preset 8',
            'page-background' => '#ECF2F5',
            'header-background' => '#00315E',
            'header-text' => '#DDDDDD',
            'header-overlay' => 'dark',
            'header-link' => '#99D0FF',
            'body-background' => '#FFFFFF',
            'body-text' => '#555555',
            'body-overlay' => 'light',
            'body-link' => '#3B74B7',
            'footer-background' => '#00315E',
            'footer-text' => '#CCCCCC',
            'footer-overlay' => 'dark',
            'footer-link' => '#99D0FF',
            'module1-background' => '#F1F1F1',
            'module1-border' => '#E3E3E3',
            'module1-text' => '#555555',
            'module1-link' => '#3B74B7',
            'module2-background' => '#58829E',
            'module2-border' => '#3A637D',
            'module2-text' => '#FFFFFF',
            'module2-link' => '#C1E8FE',
            'module3-background' => '#01457B',
            'module3-border' => '#08212F',
            'module3-text' => '#FFFFFF',
            'module3-link' => '#DDDDDD',
            'articlestyle' => 'title1',
            'articledetails' => 'layout1',
            'font-family' => 'default',
            'rotator-backgrounds' => 'santa-fe-view.jpg,japanase-gate-bw.jpg,japanese-garden-bw.jpg'
        ),
		'preset9' => array (
			'name' => 'Preset 9',
            'page-background' => '#000000',
            'header-background' => '#FFFFFF',
            'header-text' => '#666666',
            'header-overlay' => 'light',
            'header-link' => '#F27823',
            'body-background' => '#222222',
            'body-text' => '#999999',
            'body-overlay' => 'dark',
            'body-link' => '#E57A3C',
            'footer-background' => '#FFFFFF',
            'footer-text' => '#666666',
            'footer-overlay' => 'light',
            'footer-link' => '#F27823',
            'module1-background' => '#2a2a2a',
            'module1-border' => '#2e2e2e',
            'module1-text' => '#999999',
            'module1-link' => '#E57A3C',
            'module2-background' => '#3c3c3c',
            'module2-border' => '#4c4c4c',
            'module2-text' => '#999999',
            'module2-link' => '#E57A3C',
            'module3-background' => '#000000',
            'module3-border' => '#111111',
            'module3-text' => '#999999',
            'module3-link' => '#E57A3C',
            'articlestyle' => 'title3',
            'articledetails' => 'layout3',
            'font-family' => 'default',
            'rotator-backgrounds' => 'skyline-sunset.jpg,japanase-gate-bw.jpg,japanese-garden-bw.jpg'
        ),
		'preset10' => array (
			'name' => 'Preset 10',
            'page-background' => '#EEEEEE',
            'header-background' => '#FFFFFF',
            'header-text' => '#666666',
            'header-overlay' => 'light',
            'header-link' => '#A70000',
            'body-background' => '#FFFFFF',
            'body-text' => '#555555',
            'body-overlay' => 'light',
            'body-link' => '#A70000',
            'footer-background' => '#333333',
            'footer-text' => '#999999',
            'footer-overlay' => 'dark',
            'footer-link' => '#ffffff',
            'module1-background' => '#F1F1F1',
            'module1-border' => '#E3E3E3',
            'module1-text' => '#555555',
            'module1-link' => '#A70000',
            'module2-background' => '#999999',
            'module2-border' => '#7C7C7C',
            'module2-text' => '#DDDDDD',
            'module2-link' => '#FFFFFF',
            'module3-background' => '#666666',
            'module3-border' => '#555555',
            'module3-text' => '#DDDDDD',
            'module3-link' => '#FFFFFF',
            'articlestyle' => 'title3',
            'articledetails' => 'layout1',
            'font-family' => 'default',
            'rotator-backgrounds' => 'red-oils.jpg,japanase-gate-bw.jpg,japanese-garden-bw.jpg'
        ),
		'preset11' => array (
			'name' => 'Preset 11',
            'page-background' => '#333333',
            'header-background' => '#000000',
            'header-text' => '#DDDDDD',
            'header-overlay' => 'dark',
            'header-link' => '#C63756',
            'body-background' => '#222222',
            'body-text' => '#999999',
            'body-overlay' => 'dark',
            'body-link' => '#C63756',
            'footer-background' => '#000000',
            'footer-text' => '#CCCCCC',
            'footer-overlay' => 'dark',
            'footer-link' => '#C63756',
            'module1-background' => '#2a2a2a',
            'module1-border' => '#2e2e2e',
            'module1-text' => '#999999',
            'module1-link' => '#C63756',
            'module2-background' => '#3c3c3c',
            'module2-border' => '#4c4c4c',
            'module2-text' => '#999999',
            'module2-link' => '#C63756',
            'module3-background' => '#000000',
            'module3-border' => '#111111',
            'module3-text' => '#999999',
            'module3-link' => '#C63756',
            'articlestyle' => 'title5',
            'articledetails' => 'layout3',
            'font-family' => 'default',
            'rotator-backgrounds' => 'purple-alligator-paper.jpg,japanase-gate-bw.jpg,japanese-garden-bw.jpg'
        ),
		'preset12' => array (
			'name' => 'Preset 12',
            'page-background' => '#EEEEEE',
            'header-background' => '#000000',
            'header-text' => '#CCCCCC',
            'header-overlay' => 'dark',
            'header-link' => '#AB8EC4',
            'body-background' => '#FFFFFF',
            'body-text' => '#555555',
            'body-overlay' => 'light',
            'body-link' => '#805DA2',
            'footer-background' => '#333333',
            'footer-text' => '#999999',
            'footer-overlay' => 'light',
            'footer-link' => '#AB8EC4',
            'module1-background' => '#F1F1F1',
            'module1-border' => '#E3E3E3',
            'module1-text' => '#666666',
            'module1-link' => '#805DA2',
            'module2-background' => '#999999',
            'module2-border' => '#7C7C7C',
            'module2-text' => '#DDDDDD',
            'module2-link' => '#FFFFFF',
            'module3-background' => '#666666',
            'module3-border' => '#555555',
            'module3-text' => '#DDDDDD',
            'module3-link' => '#FFFFFF',
            'articlestyle' => 'box1',
            'articledetails' => 'layout3',
            'font-family' => 'default',
            'rotator-backgrounds' => 'abstract-lights.jpg,japanase-gate-bw.jpg,japanese-garden-bw.jpg'
        )
    )
);

$gantry_browser_params = array(
    'ie6' => array(
        'readonstyle' => 'link'
    )
);

$gantry_belatedPNG = array('.png', '#rt-rotator2', '.rotator-overlay', '#rt-logo', '.stuff', '.rt-joomla .icon', '#rotator-controls .rotator-arrow-l', '#rotator-controls .rotator-arrow-r');

$gantry_ie6Warning = "<h3>IE6 DETECTED: Currently Running in Compatibility Mode</h3><h4>This site is compatible with IE6, however your experience will be enhanced with a newer browser</h4><p>Internet Explorer 6 was released in August of 2001, and the latest version of IE6 was released in August of 2004.  By continuing to run Internet Explorer 6 you are open to any and all security vulnerabilities discovered since that date.  In March of 2009, Microsoft released version 8 of Internet Explorer that, in addition to providing greater security, is faster and more standards compliant than both version 6 and 7 that came before it.</p> <br /><a class='external'  href='http://www.microsoft.com/windows/internet-explorer/?ocid=ie8_s_cfa09975-7416-49a5-9e3a-c7a290a656e2'>Download Internet Explorer 8 NOW!</a>";